import ApiOperador from '../../services/api/Operador';

const actions = {
    setOperador(context: any, payload: any) {
        context.commit('SET_OPERADOR', payload);
    },
    async findOperadoresPorCliente(context: any, payload: any) {
        try {
            const response = await ApiOperador.findOperadoresPorCliente(payload);
            context.commit('SET_OPERADORES_POR_CLIENTE', response.data.dataset.operadoresPorCliente);
            return response;
        } catch (error) {
            throw error;
        }
    },
    setOperadoresPorCliente(context: any, payload: any) {
        context.commit('SET_OPERADORES_POR_CLIENTE', payload);
    },
};

export default actions;
